CKEDITOR.dialog.add('bs_tooltip', function (editor) {
	return {
		title: 'Tooltip',
		minWidth: 400,
		minHeight: 100,
		resizable: false,
		contents: [
			{
				id: 'tooltip',
				label: 'Tooltip Content',
				elements: [
					{
						id: 'tooltip',
						type: 'text',
						width: '100%',
						require: true,
						label: 'Tooltip Text',
						setup: function (widget) {
							this.setValue(widget.data.tooltip || '');
						},
						commit: function (widget) {
							console.log(widget.data);
							widget.setData('tooltip', this.getValue());
						}
					},
					{
						id: 'text',
						type: 'text',
						width: '100%',
						require: true,
						label: 'Body Text',
						setup: function (widget) {
							this.setValue(widget.data.text || '');
						},
						commit: function (widget) {
							widget.setData('text', this.getValue());
						}
					}
				]
			}
		]
	};
});
